import request from '@/utils/request'

// 查询工厂月产能定义详情列表
export function listFactory_capacity_detail(query) {
  return request({
    url: '/aps/factory_capacity_detail/list',
    method: 'get',
    params: query
  })
}

// 查询工厂月产能定义详情详细
export function getFactory_capacity_detail(id) {
  return request({
    url: '/aps/factory_capacity_detail/' + id,
    method: 'get'
  })
}

// 新增工厂月产能定义详情
export function addFactory_capacity_detail(data) {
  return request({
    url: '/aps/factory_capacity_detail',
    method: 'post',
    data: data
  })
}

// 修改工厂月产能定义详情
export function updateFactory_capacity_detail(data) {
  return request({
    url: '/aps/factory_capacity_detail',
    method: 'put',
    data: data
  })
}

// 删除工厂月产能定义详情
export function delFactory_capacity_detail(id) {
  return request({
    url: '/aps/factory_capacity_detail/' + id,
    method: 'delete'
  })
}
